# Match statistics

One of the most frequently asked questions is: *“How can I get match statistics just like below?”*.

![](/files/-MPE4KmpElBLTbAmagok)

{% hint style="info" %}
**Please** note that above is just a snippet of the match stats we cover.
{% endhint %}

There are many possible ways, thanks to the flexibility of our API.

As you've seen in our previous tutorials, every fixture has a unique id. Therefore, you can use one of our fixtures by id endpoints, or you can request them by date. In our [**fixtures tutorial**](/v2/tutorials/schedule-fixtures-and-livescores.md)**,** we’ve discussed all the different ways to access fixtures.&#x20;

Now, as you have read in our [**includes tutorial**](/v2/tutorials/enriching-your-response/includes.md), you can enrich the API response. If you want statistics, you can add the include `stats`.

{% tabs %}
{% tab title="Request" %}

```javascript
https://soccer.sportmonks.com/api/v2.0/fixtures/16475287?api_token={API_TOKEN}&include=stats
```

{% endtab %}

{% tab title="Response" %}

```javascript
        "stats": {
            "data": [
                {
                    "team_id": 53,
                    "fixture_id": 16475287,
                    "shots": {
                        "total": 28,
                        "ongoal": 15,
                        "blocked": 6,
                        "offgoal": 13,
                        "insidebox": 18,
                        "outsidebox": 7
                    },
                    "passes": {
                        "total": 670,
                        "accurate": 587,
                        "percentage": 87.61
                    },
                    "attacks": {
                        "attacks": 115,
                        "dangerous_attacks": 55
                    },
                    "fouls": 9,
                    "corners": 11,
                    "offsides": 0,
                    "possessiontime": 80,
                    "yellowcards": 1,
                    "redcards": 0,
                    "yellowredcards": 0,
                    "saves": 1,
                    "substitutions": 4,
                    "goal_kick": null,
                    "goal_attempts": 19,
                    "free_kick": null,
                    "throw_in": null,
                    "ball_safe": 91,
                    "goals": 5,
                    "penalties": 0,
                    "injuries": 0
                },
                {
                    "team_id": 338,
                    "fixture_id": 16475287,
                    "shots": {
                        "total": 6,
                        "ongoal": 2,
                        "blocked": 1,
                        "offgoal": 4,
                        "insidebox": 4,
                        "outsidebox": 3
                    },
                    "passes": {
                        "total": 157,
                        "accurate": 85,
                        "percentage": 54.14
                    },
                    "attacks": {
                        "attacks": 70,
                        "dangerous_attacks": 41
                    },
                    "fouls": 9,
                    "corners": 8,
                    "offsides": 2,
                    "possessiontime": 20,
                    "yellowcards": 3,
                    "redcards": 0,
                    "yellowredcards": 0,
                    "saves": 9,
                    "substitutions": 3,
                    "goal_kick": null,
                    "goal_attempts": 7,
                    "free_kick": null,
                    "throw_in": null,
                    "ball_safe": 67,
                    "goals": 1,
                    "penalties": 0,
                    "injuries": 1
                }
            ]
        }
```

{% endtab %}

{% tab title="Field Description" %}
**Stats Field Description**

| **Field**                                                                                                                                                                                                                                                           | Description                                                                                                                 |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| `team_id`                                                                                                                                                                                                                                                           | The unique id of the team to which the stats belong                                                                         |
| `fixture_id`                                                                                                                                                                                                                                                        | A unique fixture id                                                                                                         |
| `shots`                                                                                                                                                                                                                                                             | Opens an array containing the shots statistics                                                                              |
| `ongoal`                                                                                                                                                                                                                                                            | The number of shots on goal in a fixture of one team                                                                        |
| `blocked`                                                                                                                                                                                                                                                           | The times the opponent has blocked a shot                                                                                   |
| `offgoal`                                                                                                                                                                                                                                                           | The number of shots off goal in a fixture of one team                                                                       |
| `insidebox`                                                                                                                                                                                                                                                         | The number of shots from inside the box (16-meter area) in a fixture of one team                                            |
| `outsidebox`                                                                                                                                                                                                                                                        | The number of shots from outside the box (16-meter area) in a fixture of one team                                           |
| `passes`                                                                                                                                                                                                                                                            | Opens an array containing the pass statistics                                                                               |
| `total`                                                                                                                                                                                                                                                             | The number of passes in a fixture of one team                                                                               |
| `accurate`                                                                                                                                                                                                                                                          | The total accurate passes in a fixture of one team                                                                          |
| `percentage`                                                                                                                                                                                                                                                        | The accurate passes (in percentage %) in a fixture of one team                                                              |
| `attacks`                                                                                                                                                                                                                                                           | Opens an array containing the attacks statistics                                                                            |
| `attacks`                                                                                                                                                                                                                                                           | The attacks in a fixture of one team                                                                                        |
| `dangerous_attacks`                                                                                                                                                                                                                                                 | The dangerous attacks in a fixture of one team. A dangerous attack is calculated when the attack almost resulted in a goal. |
| `fouls`                                                                                                                                                                                                                                                             | The number of fouls committed of one team                                                                                   |
| `corners`                                                                                                                                                                                                                                                           | The number of corners of one team                                                                                           |
| `offsides`                                                                                                                                                                                                                                                          | The number of times one team was flagged offside by the (assistant) referee                                                 |
| `possesiontime`                                                                                                                                                                                                                                                     | The number of times one team has had the ball in percentage                                                                 |
| `yellowcards`                                                                                                                                                                                                                                                       | The number of yellow cards for one team                                                                                     |
| `yellowredcards`                                                                                                                                                                                                                                                    | The total times a second yellow card has resulted in a red card for one team                                                |
| `redcards`                                                                                                                                                                                                                                                          | The total number of red cards for one team                                                                                  |
| `saves`                                                                                                                                                                                                                                                             | The total number of saves the goalkeeper of one team has made                                                               |
| `substitutions`                                                                                                                                                                                                                                                     | The total number of substitutions of one team                                                                               |
| `goal_kicks`                                                                                                                                                                                                                                                        | The number of goal kicks for one team                                                                                       |
| `goal_attempts`                                                                                                                                                                                                                                                     | The number of goal attempt of one team                                                                                      |
| `free_kick`                                                                                                                                                                                                                                                         | The number of free kicks for one team                                                                                       |
| `throw_in`                                                                                                                                                                                                                                                          | The amount of throw ins for one team                                                                                        |
| `ball_safe`                                                                                                                                                                                                                                                         | <p>                                                                                                                         |
| This is the number of times the attacking team plays the ball back to their own half.</p><p>For example:</p><p>Barcelona is on the attack and are on the half of the opposition, but decide to pass the ball back to their own half.</p><p>This is ball safe 1.</p> |                                                                                                                             |
| `goals`                                                                                                                                                                                                                                                             | The number of goals for one team                                                                                            |
| `penalties`                                                                                                                                                                                                                                                         | The number of penalties for one team                                                                                        |
| `injuries`                                                                                                                                                                                                                                                          | The number of injuries for one team                                                                                         |
| {% endtab %}                                                                                                                                                                                                                                                        |                                                                                                                             |
| {% endtabs %}                                                                                                                                                                                                                                                       |                                                                                                                             |

Nothing more, nothing less.

### **Live Match statistics**

Let’s say you want the statistics of matches that are currently live. As [**you know**](/v2/tutorials/schedule-fixtures-and-livescores/livescores.md) you can use our [**livescores/now endpoint**](https://football-postman.sportmonks.com/#fb0b146e-2ab6-4c36-9abc-cc50c84d0bc5) to request all the in-play fixtures:&#x20;

The only thing you need to do is to add the `stats` include:

```javascript
https://soccer.sportmonks.com/api/v2.0/livescores/now?api_token={API_TOKEN}&include=stats
```

The `stats` include will enrich your response with all the match statistics of **all** games that are **currently live**.\
\
If you only want to have stats for certain live fixtures, then you can [**filter**](/v2/tutorials/filtering-limiting-and-sorting/filtering.md). For instance, if you only want all the live matches from the [**English Premier League**](https://sportmonks.com/premier-league-api/) **(league id: 8)** with stats, you can use this request:

```javascript
https://soccer.sportmonks.com/api/v2.0/livescores/now?api_token={API_TOKEN}&include=stats&leagues=8
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/tutorials/statistics/match-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
